> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vpc-network/border-gateway/modifybordergatewayinterconnectcidr.md).

# ModifyBorderGatewayInterconnectCidr

## 1. API Description

This API (ModifyBorderGatewayInterconnectCidr) is used to modify the interconnection IP CIDR block of a border gateway.

{% hint style="info" %}
**Notes**

* The interconnection IP CIDR block cannot be modified when the border gateway has been added to a CloudRouter (that is, L3 interconnection exists).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type   | Description                                                                                                                                                                                       |
| ---------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zbgId            | Yes      | String | <p>ID of the border gateway to be modified.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/border-gateway/describebordergateways.md">DescribeBorderGateways</a>.</p> |
| interConnectCidr | Yes      | String | <p>Interconnection IP CIDR block.</p><p>Only 169.254.x.x/27 is supported.</p>                                                                                                                     |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify the interconnection IP CIDR block of a border gateway.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyBorderGatewayInterconnectCidr
<Common Request Params>

Request：
{
  "zbgId": "xxx",
  "interConnectCidr": "169.254.0.0/27"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                 | Description                                           |
| ---------------- | -------------------------- | ----------------------------------------------------- |
| 404              | INVALID\_ZBG\_NOT\_FOUND   | Border gateway does not exist.                        |
| 409              | INVALID\_ZBG\_CIDR\_FORMAT | The border gateway interconnection format is invalid. |
| 409              | INVALID\_ZBG\_L3\_EXIST    | Border gateway is already added into a cloud router.  |
